## sox-ng 14.7.0.3+ds1

=== debian/changelog ===
sox-ng (14.7.0.3+ds1-1) experimental; urgency=medium

  * Switch to sox_ng (Closes: #1108753)
  * SONAME bump: libsox3 -> libsox-ng3
  * Apply wrap-and-sort
  * debian/control:
    - Remove old Conflicts+Replaces
    - Bump Standards-Version
    - Remove RRR
    - Add Build-Depends on libebur128-dev, lbiflac-dev, and libfftw3-dev
    - Remove unused libsamplerate-dev build dependency
    - Add myself to Uploaders
  * debian/rules:
    - Remove obsolete workaround for mips*
    - Build to replace sox
  * debian/:
    - Remove outdated documentation
    - Directly include pulseaudio plugin
  * debian/patches: Remove all patches
  * debian/copyright:
    - Remove embedded code copies of libebur128 and libgsm
    - Update for sox_ng

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Dec 2025 17:53:59 +0100

sox (14.4.2+git20190427-5) unstable; urgency=medium

  * Team upload
  * Add patch to fix compilation with gcc-14 (Closes: #1075528).
  * Add patch to fix vorbis memory leaks (Closes: #1029974).
  * Enable support for Opus (Closes: #905166).
  * Add "Build-Depends-Package" to symbols file.

 -- Joachim Bauch <fancycode@debian.org>  Fri, 04 Oct 2024 21:40:28 +0200

sox (14.4.2+git20190427-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
  * debian/patches: Refresh patches

  [ Bastien Roucariès ]
  * Add patch for CVE-2023-32627 (Closes: #1041112)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 18:26:02 +0100

sox (14.4.2+git20190427-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix regression in wav-gsm decodeing introduced via fixing CVE-2021-33844.
    (Closes: #1032082)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 12 Mar 2023 10:07:49 +0100

sox (14.4.2+git20190427-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore test failure on all mipsen (Addresses: #1030674)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 07 Feb 2023 22:21:09 +0100

sox (14.4.2+git20190427-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore test failure on mips64el (Addresses: #1030674)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 06 Feb 2023 13:02:25 +0100

sox (14.4.2+git20190427-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the CVE-unasssigned patch together with my own unnecessary change
    introducing the vulnerability: The buffer is overallocated by 16-1 bytes
    already and we don't overflow if we don't add to it.
  * Replace CVE-2017-11358 patch with the non-broken one from upstream
  * Fix big endian 64bit FTBFS: Import upstream patch to fix hcom writing
  * Improve CVE-2021-23159 patch to also reject empty dictionaries.
    The incomplete fix would allow an out-of-bounds read.
  * Improve CVE-2021-3643 patch to also reject word width 1.
    The incomplete fix would allow an out-of-bounds read.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 05 Feb 2023 13:13:59 +0100

sox (14.4.2+git20190427-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix some resource leaks.
  * Fix regression in hcom reader introduced via CVE-2017-11358. (Closes:
    #933372)
  * Enable test suite.
  * Fix CVE-2021-3643 and CVE-2021-23210: voc validation (Closes: #1010374)
  * Fix CVE-2021-23159 and CVE-2021-23172: hcom validation
    (Closes: #1021133, #1021134)
  * Fix CVE-2021-33844: wav validation (Closes: #1021135)
  * Fix CVE-2021-40426: sphere validation (Closes: #1012138)
  * Fix CVE-2022-31650: aiff validation (Closes: #1012516)
  * Fix CVE-2022-31651: reject implausible rate (Closes: #1012516)
  * Fix CVE-unasssigned: integer overflow
  * Silence dh_missing
  * Add an autopkgtest

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 03 Feb 2023 10:21:33 +0100

sox (14.4.2+git20190427-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Fix day-of-week for changelog entries 12.16-1, 12.14-1, 11gamma-cb3-
    5, 11gamma-cb3-4.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Replace libltdl3-dev with libltdl-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 10:10:57 +0200

sox (14.4.2+git20190427-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * Add patch to fix CVE-2019-13590.
    Thanks to Salvatore Bonaccorso. (Closes: #932082)
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add me as uploader
    + Set RRR: no

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:36:08 +0100

sox (14.4.2+git20190427-1) unstable; urgency=medium

  * Add patches to fix CVE-2019-8354, CVE-2019-8355, CVE-2019-8356 and
    CVE-2019-8357. Thanks to Moritz Muehlenhoff. (Closes: #927906)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 27 Apr 2019 15:57:59 -0400

sox (14.4.2-3) unstable; urgency=medium

  * Patch 0005 refreshed. (Closes: #882599)
  * Improve english in d/bug-presubj file. (Closes: #882601)
  * Bump Standards.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 18 Dec 2017 14:55:07 +0100

sox (14.4.2-2) unstable; urgency=medium

  * Upload to unstable to start transition.
  * Add patch to fix CVE-2017-15372. (Closes: #878808)
  * Add patch to fix CVE-2017-15642. (Closes: #882144)
  * Add patch to fix CVE-2017-11333 in vorbis lib. (Closes: #882236)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 24 Nov 2017 09:12:48 +0100

sox (14.4.2-1) experimental; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream version 14.4.2 (Closes: #800344)
  * Set compat/dh 10.
  * Bump Standards.
  * Adopt package.(Closes: #876904)

