=== debian/control ===
Source: sox-ng
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Sebastian Ramacher <sramacher@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libao-dev,
 libasound2-dev [linux-any],
 libebur128-dev,
 libfftw3-dev,
 libflac-dev,
 libgsm1-dev,
 libid3tag0-dev,
 libltdl-dev,
 libmad0-dev,
 libmagic-dev,
 libmp3lame-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libopusfile-dev,
 libpng-dev,
 libpulse-dev,
 libsndfile1-dev,
 libtwolame-dev,
 libvorbis-dev,
 libwavpack-dev,
 time <!nocheck>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/sox-ng.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sox-ng
Homepage: https://codeberg.org/sox_ng/sox_ng

Package: sox
Architecture: any
Depends:
 libsox-fmt-base (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-ao (= ${binary:Version}) | libsox-fmt-oss (= ${binary:Version}),
 libsox-fmt-all,
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-fmt-base. Some formats have their
 own package e.g. mp3 read and write support is provided by libsox-fmt-mp3.
 .
 SoX supports most common sound architectures i.e. Alsa, Libao, OSS and Pulse
 (respectively provided by libsox-fmt-alsa, libsox-fmt-ao, and libsox-fmt-oss).
 It also supports LADSPA plugins.

Package: libsox-ng3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libsox-fmt-alsa [linux-any] | libsox-fmt-ao | libsox-fmt-oss,
 libsox-fmt-base,
Suggests:
 libsox-fmt-all,
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-fmt-base.
 Sound card I/O requires libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss or
 libsox-fmt-pulse.

Package: libsox-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa format I/O library.
 .
 alsa: https://www.alsa-project.org/main/index.php/Main_Page

Package: libsox-fmt-ao
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX Libao format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Libao format I/O library.
 .
 libao: https://xiph.org/ao

Package: libsox-fmt-mp3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX MP2 and MP3 format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX MP2 and MP3 format library.
 Read support by libmad. MP2 and MP3 write support by libtwolame and
 libmp3lame respectively.
 .
 libmad: https://www.underbit.com/products/mad/
 lame: https://lame.sourceforge.io

Package: libsox-fmt-opus
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX Opus format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Opus format library.
 .
 Opus: http://www.opus-codec.org/

Package: libsox-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 format I/O library.
 .
 Open Sound System: http://www.opensound.com/oss.html

Package: libsox-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libsox-fmt-alsa (= ${binary:Version}) [linux-any],
 libsox-fmt-ao (= ${binary:Version}),
 libsox-fmt-base (= ${binary:Version}),
 libsox-fmt-mp3 (= ${binary:Version}),
 libsox-fmt-opus (= ${binary:Version}),
 libsox-fmt-oss (= ${binary:Version}),
 ${misc:Depends},
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsox-fmt-all (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This library allow you to convert various formats of computer audio files
 in to other formats. It also allows you to apply
 various effects to sound files.
 .
 This package contains the development files for the SoX library.
