=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/vendor.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-replace \
		--with-distro="$(DEB_VENDOR)" \
		--with-dyn-default \
		--with-pulseaudio=yes

override_dh_bugfiles:
	dh_bugfiles -A
