## sox-ng 14.7.0.4%2Bds1

=== debian/changelog ===
sox-ng (14.7.0.4+ds1-4) unstable; urgency=medium

  * debian/patches: Apply upstream fix for ioctl errors
  * debian/tests: Revert "Allow output on stderr"

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jan 2026 15:13:21 +0100

sox-ng (14.7.0.4+ds1-3) unstable; urgency=medium

  * debian/: Reenable flac and mp3 plugin (Closes: #1125788)
    The fallback to sndfile does not work as expected.
  * debian/tests: Allow output on stderr

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jan 2026 10:25:29 +0100

sox-ng (14.7.0.4+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/: Remove no longer up-to-date bug presubj
  * debian/control:
    - Add libspeex-dev and libsppexdsp-dev to Build-Depends
    - Add ffmpeg to Suggests for additional formats
    - Apply wrap-and-sort
    - Bump Standards-Version
    - Remove redundant Priority: optional
    - Remove no longer needed build dependency on time

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2026 21:14:23 +0100

sox-ng (14.7.0.4+ds1-1) experimental; urgency=medium

  * New upstream version 14.7.0.4+ds1
  * debian/symbols:
    - Mark lpc10 symbols as internal
    - Mark all lsx_ symbols as internal
  * debian/:
    - Use sndfile for MP2/MP3/FLAC
    - Make libsox-fmt-mp3 and libsox-fmt-pulse transitional packages
    - Remove libao support
  * debian/control: Update descriptions

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2026 09:04:15 +0100
