## sox-ng 14.7.0.4+ds1

=== debian/control ===
Source: sox-ng
Section: sound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Sebastian Ramacher <sramacher@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libebur128-dev,
 libfftw3-dev,
 libgsm1-dev,
 libid3tag0-dev,
 libltdl-dev,
 libmagic-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libopusfile-dev,
 libpng-dev,
 libpulse-dev,
 libsndfile1-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libvorbis-dev,
 libwavpack-dev,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/multimedia-team/sox-ng.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sox-ng
Homepage: https://codeberg.org/sox_ng/sox_ng

Package: sox
Architecture: any
Depends:
 libsox-fmt-base (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libsox-fmt-all,
 libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-oss (= ${binary:Version}),
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-fmt-base. Some formats have their
 own package.
 .
 SoX supports most common sound architectures i.e. Alsa, OSS, and Pulse
 (respectively provided by libsox-fmt-alsa, and libsox-fmt-oss).
 It also supports LADSPA plugins.

Package: libsox-ng3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libsox-fmt-alsa [linux-any] | libsox-fmt-oss,
 libsox-fmt-base,
Suggests:
 ffmpeg,
 libsox-fmt-all,
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-fmt-base. Sound output via
 PulseAudio is enabled by default. Additional output plugins are provided by
 libsox-fmt-alsa, or libsox-fmt-oss.

Package: libsox-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa format I/O library.

Package: libsox-fmt-opus
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX Opus format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Opus format library.

Package: libsox-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 format I/O library.

Package: libsox-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libsox-fmt-alsa (= ${binary:Version}) [linux-any],
 libsox-fmt-base (= ${binary:Version}),
 libsox-fmt-opus (= ${binary:Version}),
 libsox-fmt-oss (= ${binary:Version}),
 ${misc:Depends},
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsox-fmt-all (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This library allow you to convert various formats of computer audio files
 in to other formats. It also allows you to apply
 various effects to sound files.
 .
 This package contains the development files for the SoX library.

Package: libsox-fmt-ao
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 libsox-fmt-base (= ${binary:Version}),
 ${misc:Depends},
Description: Transitional package for libsox-fmt-base
 This is a transitional package. It can safely be removed.

Package: libsox-fmt-mp3
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 libsox-fmt-base (= ${binary:Version}),
 ${misc:Depends},
Description: Transitional package for libsox-fmt-base
 This is a transitional package. It can safely be removed.

Package: libsox-fmt-pulse
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
Description: Transitional package for libsox-ng3
 This is a transitional package. It can safely be removed.
