=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 		--enable-replace \
 		--with-distro="$(DEB_VENDOR)" \
 		--with-dyn-default \
-		--with-pulseaudio=yes
-
-override_dh_bugfiles:
-	dh_bugfiles -A
+		--with-pulseaudio=yes \
+		--with-flac=no \
+		--with-ao=no \
+		--without-lame \
+		--without-mad \
+		--without-twolame
