## sox-ng 14.7.0.6+ds1

=== debian/changelog ===
sox-ng (14.7.0.6+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.0.6+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Jan 2026 14:16:56 +0100
