## sox-ng 14.7.0.7+ds1

=== debian/changelog ===
sox-ng (14.7.0.7+ds1-2) unstable; urgency=medium

  * debian/rules: Disable ffmpeg support (Closes: #1127875)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Feb 2026 10:10:06 +0100

sox-ng (14.7.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.0.7+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Feb 2026 18:41:02 +0100
