=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,5 @@
 		--with-distro="$(DEB_VENDOR)" \
 		--with-dyn-default \
 		--with-pulseaudio=yes \
-		--with-flac=no \
 		--with-ao=no \
-		--without-lame \
-		--without-mad \
-		--without-twolame
+		--without-ffmpeg
