## sox-ng 14.7.0.9+ds1

=== debian/changelog ===
sox-ng (14.7.0.9+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.0.9+ds1
  * debian/rules: Re-enable ffmpeg support

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Feb 2026 21:13:17 +0100
