=== debian/control ===
--- 
+++ 
@@ -10,10 +10,13 @@
  libasound2-dev [linux-any],
  libebur128-dev,
  libfftw3-dev,
+ libflac-dev,
  libgsm1-dev,
  libid3tag0-dev,
  libltdl-dev,
+ libmad0-dev,
  libmagic-dev,
+ libmp3lame-dev,
  libopencore-amrnb-dev,
  libopencore-amrwb-dev,
  libopusfile-dev,
@@ -22,6 +25,7 @@
  libsndfile1-dev,
  libspeex-dev,
  libspeexdsp-dev,
+ libtwolame-dev,
  libvorbis-dev,
  libwavpack-dev,
 Standards-Version: 4.7.3
