=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,4 @@
 		--with-distro="$(DEB_VENDOR)" \
 		--with-dyn-default \
 		--with-pulseaudio=yes \
-		--with-ao=no \
-		--without-ffmpeg
+		--with-ao=no
