=== debian/watch ===
Version: 5

Source: https://codeberg.org/api/v1/repos/sox_ng/sox_ng/releases
Matching-Pattern: https://codeberg.org/sox_ng/sox_ng/archive/sox_ng-(\d[\d.]*)@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%
Repacksuffix: +ds1
Dversion-Mangle: auto
