=== debian/changelog ===
sox-ng (14.7.1+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.1+ds1
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 27 Feb 2026 11:24:14 +0100
